Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryBTreeDatabase..::.PrefixCompare Property
SecondaryBTreeDatabase Class See Also

The Btree prefix function. The prefix function is used to determine the amount by which keys stored on the Btree internal pages can be safely truncated without losing their uniqueness.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public EntryComparisonDelegate PrefixCompare { get; private set; }

Visual Basic (Declaration)
    Public Property PrefixCompare As EntryComparisonDelegate

Visual C++
    public:
    property EntryComparisonDelegate^ PrefixCompare {
    	EntryComparisonDelegate^ get ();
    	void set (EntryComparisonDelegate^ value);
    }

# See Also

SecondaryBTreeDatabase Class
BerkeleyDB Namespace